package br.com.codetec.saudesabor.ui.login;

import android.app.ActionBar;
import android.os.Bundle;
import android.view.MenuItem;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.RecyclerView;

import br.com.codetec.saudesabor.R;
import br.com.codetec.saudesabor.model.ProdutoResponse;
import br.com.codetec.saudesabor.service.ServiceConector;
import br.com.codetec.saudesabor.ui.login.ui.adapter.ProdutoAdapter;
import br.com.codetec.saudesabor.utils.UtilsActivity;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

public class ListaProdutosActivity extends AppCompatActivity {

    public static String ID_CATEGORIA = "";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_lista_produtos);

        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        final RecyclerView recyclerView = findViewById(R.id.recyclerView);

        Call<ProdutoResponse> call = ServiceConector.getService(this).produtos(getString(R.string.locale), ID_CATEGORIA);
        call.enqueue(new Callback<ProdutoResponse>() {
            @Override
            public void onResponse(Call<ProdutoResponse> call, Response<ProdutoResponse> response) {
                if(response.body()!=null){
                    ProdutoAdapter adapter = new ProdutoAdapter(response.body().getProdutos(), ListaProdutosActivity.this);
                    UtilsActivity.getInstance().initRecyclerView(ListaProdutosActivity.this, recyclerView);
                    recyclerView.setAdapter(adapter);
                    adapter.notifyDataSetChanged();
                }
            }

            @Override
            public void onFailure(Call<ProdutoResponse> call, Throwable t) {

            }
        });
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        this.finish();
        return super.onOptionsItemSelected(item);
    }
}
